
/*
 * Copyright (C) 2000-2001 Technical University of Ilmenau, Germany
 *                         Department of Microelectronic Circuits and Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 */

package mss.ea.ex.sphere;

import mss.ea.core.*;
import mss.ea.chr.*;
import mss.ea.eval.*;

public class SphereCalc extends ScoreEvaluation {

	public Score evaluate( Individual ind ) throws ScoreEvaluationException {
		try {
			// initial value for sum
			double sph = 0.0;
			// get the chromosome set from the individual
			ChromosomeSet set = ind.getChromosomeSet();
			// for each chromosome ..
			for ( int i = 0; i < set.size(); i++ ) {
				// get double value of chromosome
				double cv = ((DoubleChromosome) set.get( i )).doubleValue();
				// calculate sum
				sph += cv * cv;
			}
			// create new double score with sum value
			DoubleScore ds = new DoubleScore( sph );
			// append score to individual
			ind.setScore( ds );
			// and return the score
			return ds;
		} catch ( Exception e ) {
			throw new ScoreEvaluationException( "sphere calculation for " + ind.getName() + " failed" );
		}
	}

}
