
/*
 * Copyright (C) 2000-2001 Technical University of Ilmenau, Germany
 *                         Department of Microelectronic Circuits and Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2001/11/19 13:37:37 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: SphereInit.java,v $
 *
 */

package mss.ea.ex.sphere;

import mss.ea.core.*;
import mss.ea.chr.*;
import mss.ea.ini.*;

public class SphereInit extends Initialization {
	
	public SphereInit( int indNumber, int dimensions ) {
		super( indNumber, dimensions );
	}
	
	public ChromosomeSet createSet() {
		// create a new set with slots accorsing to dimensions
		ChromosomeSet sphereSet = new ChromosomeSet();
		// create a valid chromosome set
		for ( int i = 0; i < setSize; i++ ) {
			// create new chromosome containing a double between -100 and +100
			DoubleChromosome dc = new DoubleChromosome( RandomUtil.randomDouble( -100.0, 100.0 ) );
			// add the chromosome to the chromsome set
			sphereSet.add( dc );
		}
		// return the sphere set
		return sphereSet;
	}
	
}
